Bug 121897 - Context menu on text in table cells: remove "Edit style" in character sub-menu
Summary: Context menu on text in table cells: remove "Edit style" in character sub-menu
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
6.3.0.0.alpha0+
Hardware: All All
: medium normal
Assignee: Xisco Faulí
URL:
Whiteboard: target:6.3.0 target:6.2.0.1
Keywords:
Depends on:
Blocks: Context-Menu
  Show dependency treegraph
 
Reported: 2018-12-04 12:24 UTC by Thomas Lendo
Modified: 2019-09-21 12:07 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Thomas Lendo 2018-12-04 12:24:09 UTC
The "Edit style" command was removed in the character sub-menu of the text context menu in Writer. But it wasn't removed in the context menu on text in table cells.

"Edit style" always works only with paragraph styles in Writer!

Tested with
Version: 6.3.0.0.alpha0+ (x64)
Build ID: 16d12d50c2bfd924d2a7e6946896526a15a150d4
CPU threads: 8; OS: Windows 10.0; UI render: default; VCL: win; 
TinderBox: Win-x86_64@42, Branch:master, Time: 2018-12-04_00:57:42
Locale: de-AT (de_AT); UI-Language: en-US
Calc: CL

I assume this also happens in 6.2.
Comment 1 Vera Blagoveschenskaya 2018-12-06 09:25:51 UTC
Confirmed from my side for

Version: 6.3.0.0.alpha0+
Build ID: e4c2d0bb57ab8ea8f5c400d103d01376b8140f22
CPU threads: 1; OS: Linux 4.14; UI render: default; VCL: kde5; 
TinderBox: Linux-rpm_deb-x86_64@86-TDF, Branch:master, Time: 2018-11-30_21:37:10
Locale: ru-RU (ru_RU.UTF-8); UI-Language: en-US
Calc: threaded
Comment 2 Xisco Faulí 2018-12-07 13:43:08 UTC
Patch in gerrit: https://gerrit.libreoffice.org/#/c/64766/
Comment 3 Commit Notification 2018-12-07 19:36:27 UTC
Xisco Fauli committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/+/c9713e08d23ff1addc6a6a23d895340d77c4fecb%5E%21

tdf#121017, tdf#121897: editstyle is always paragraph style

It will be available in 6.3.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 4 Commit Notification 2018-12-07 23:02:44 UTC
Xisco Fauli committed a patch related to this issue.
It has been pushed to "libreoffice-6-2":

https://git.libreoffice.org/core/+/46f2473fc88f922153247175dfac4c293eb356f8%5E%21

tdf#121017, tdf#121897: editstyle is always paragraph style

It will be available in 6.2.0.1.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.